Skip to content

Create collection agency

Request

Creates a new collection agency. This is useful when a lender assigns a charged off loan to a third party debt collection agency. The Peach Borrower Portal will display the collection agency information to the borrower. The lender can continue to use Peach as the system of record / ledger for charged off loans. The lender can post any payments collected by the collection agency as isExternal=true transaction. The Peach system will waterfall the payments and update loan balances.

Security
oauth2(Required scopes: collection.agency:create) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

Bodyapplication/jsonrequired
externalIdstring or null, [ 1 .. 200 ] characters

A lender's identifier for an object.

After the object is successfully created, a lender can use ID or externalId identifiers to fetch the object.

To fetch the object using externalId you need to add ext- to the URL.

Note: Don't add ext- to the identifier value. For example: if the external identifier is ABCDE, then pass externalId=ABCDE and NOT ext-ABCDE when creating the object.

contactEmailstring

The third party debt collection agency email address that the charged-off loan was assigned to.

contactPhonestringrequired

The third party debt collection agency primary phone that the charged-off loan was assigned to. Should be provided in E.164 format.

legalNamestringrequired

The third party debt collection agency name that the charged-off loan was assigned to.

mailingAddressobject(AddressBase)required

The third party debt collection agency mailing address that the charged-off loan was assigned to.

POST
/companies/{companyId}/collection-agencies
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/collection-agencies' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "externalId": "string",
    "contactEmail": "string",
    "contactPhone": "string",
    "legalName": "string",
    "mailingAddress": {
      "POBox": "string",
      "addressLine1": "string",
      "addressLine2": "string",
      "city": "string",
      "country": "string",
      "countyOrRegion": "string",
      "postalCode": "string",
      "state": "strin"
    }
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(CollectionAgency)
Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "externalId": "string", "companyId": "string", "contactEmail": "string", "contactPhone": "string", "legalName": "string", "mailingAddress": {}, "isArchived": true } }